@base <https://purl.org/coscine/ap/DataLadRemote/>.

@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#>.
@prefix xsd: <http://www.w3.org/2001/XMLSchema#>.
@prefix dash: <http://datashapes.org/dash#>.
@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix sh: <http://www.w3.org/ns/shacl#>.
@prefix vocabterms: <https://purl.org/coscine/terms/>.
@prefix aps: <https://purl.org/coscine/ap/>.

<https://purl.org/coscine/ap/DataLadRemote/> dcterms:created "2023-11-08"^^xsd:date;
                                                                    dcterms:creator "Tamas Spisak";
                                                                    dcterms:description """S3 bucket for a DatLad Remote Sibling.
The dataset **must** also have a github or gitlab sibling."""@en;
                                                                    dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
                                                                    dcterms:subject "DataLad"@de,
                                                                                    "DataLad"@en;
                                                                    dcterms:title "DatLad Remote Sibling"@de,
                                                                                  "DatLad Remote Sibling"@en;
                                                                    a rdfs:Class,
                                                                      sh:NodeShape;
                                                                    sh:closed false;
                                                                    sh:property [sh:path <https://purl.org/coscine/terms/5e106687-dc63-49fb-b56d-233a2edfc603/> ; 
                                                                                 sh:order 4  ; 
                                                                                 sh:name "Contact Person"@en ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:maxCount 1  ; 
                                                                                 sh:datatype xsd:Name],
                                                                                [sh:path <https://purl.org/coscine/terms/fbb5347d-9503-4330-a2dd-2e36234e67e2/> ; 
                                                                                 sh:order 3  ; 
                                                                                 sh:name "Owner/PI"@en ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:maxCount 1  ; 
                                                                                 sh:datatype xsd:Name],
                                                                                [sh:path <https://purl.org/coscine/terms/f36a1f77-d571-4b24-901c-6649f76c7314/> ; 
                                                                                 sh:order 2  ; 
                                                                                 sh:name "Dataset Name"@en ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:maxCount 1  ; 
                                                                                 sh:datatype xsd:string ; 
                                                                                 dash:singleLine true],
                                                                                [sh:path <https://purl.org/coscine/terms/1c9624c3-7a29-4303-8fe6-dbcbe846d0c4/> ; 
                                                                                 sh:order 5  ; 
                                                                                 sh:name "GitHub/GitLab sibling(s)"@en ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:maxCount 10  ; 
                                                                                 sh:datatype xsd:anyURI ; 
                                                                                 dash:singleLine true],
                                                                                [sh:path <https://purl.org/coscine/terms/4ccdd144-29ca-46bd-8f06-57e9dd5bc323/> ; 
                                                                                 sh:order 2  ; 
                                                                                 sh:name "Description"@en ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:maxCount 1  ; 
                                                                                 sh:datatype xsd:string ; 
                                                                                 dash:singleLine false ; 
                                                                                 sh:minLength 100  ; 
                                                                                 sh:maxLength 4000 ].
